<?php 
include substr(dirname(__FILE__),0,-7).'include/common.inc.php';
?>
/*-------------------------------------
	版权所有：南京牛昆网络科技有限公司（TEL-15896098989）
	程序版本：1.0
	更新日期：2015-04-04    
-------------------------------------*/
function killerr()
{
	return true;	
}
window.onerror=killerr;

var ispass=true;
var isloaded=false;
var email=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
var phone=/^((\(\d{2,3}\))|(\d{3}\-))?(\(0\d{2,3}\)|0\d{2,3}-)?[1-9]\d{6,7}(\-\d{1,4})?$/;
var mobile=/^1[3|5|8][0-9]\d{4,8}$/;
var url=/^http:\/\/[A-Za-z0-9]+\.?[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^<>\"\"])*$/;
var number=/^[\d\.]*$/;
var ip=/^[\d\.]{7,15}$/;
var qq=/^\d{0,14}$/;
var integer=/^[-\+]?\d+$/;
var double=/^[-\+]?\d+(\.\d+)?$/;
var table=/^[A-Za-z0-9_]{0,30}$/;
var english=/^[A-Za-z0-9_]+$/;
var chinese=/[\u0391-\uFFE5]/;
var userName=/^[0-9a-z_\u0391-\uFFE5]{1,64}$/;
var usePsw=/[\u0391-\uFFE5]{3,25}/;
var idCard=/^[0-9]{14,14}[0-9xX]$|^[0-9]{17,17}[0-9xX]$/;
var certno=/^[0-9]{15,15}$/;

function checkcodeDo(c)
{
	var posturl = '<?php echo $LA['siteurl'];?>api/captcha/captcha.php?code='+c;
	$.get(posturl, function(data){
			if(data=='ok' || $('#inputcheckcode').val()=='undefined' || $('#inputcheckcode').val()==undefined)
			{
				if( $('#inputcheckcode').next('span.alert').index() > 0 ) 
				{
					$('#inputcheckcode').next('span.alert').remove();
				} 
				else 
				{
					$('#inputcheckcode').after("<span class='alert' style='display:block;float:right;margin-left:4px;width:18px;height:18px; background:url(<?php echo $LA['siteurl'];?>statics/images/success.gif);'></span>");
				}
				return true;
			}
			else
			{
				if( $('#inputcheckcode').next('span.alert').index() > 0 ) 
				{
					$('#inputcheckcode').next('span.alert').remove();
				} 
				else 
				{
					$('#inputcheckcode').after("<span class='alert' style='display:block;float:right;margin-left:4px;width:18px;height:18px; background:url(<?php echo $LA['siteurl'];?>statics/images/error.gif);'></span>");
				}
				$('#inputcheckcode').focus();
				return false;
			}
		});
}

function datainputcheck(formobj)
{
	var elements=$('#'+formobj).find("input,textarea,select");
	var elesubmit=$('#'+formobj).find('input[type="submit"]');
	var posturl = '<?php echo $LA['siteurl'];?>api/captcha/captcha.php?code='+$('#inputcheckcode').val();

	elements.each(function(){
		var title=$(this).attr('title');
		var datatype=$(this).attr('datatype');
		var notnull=$(this).attr('notnull');
		var val=$(this).val();
		if(title==undefined | title=='undefined')
		{
			title='该项';
		}
		
		if(notnull!=undefined && notnull!='undefined')
		{
			if(notnull==true && (val=='' || val==0))
			{
				alert(title+"不能为空！");
				$(this).focus();
				ispass=false;
				return false;
			}
		}

		$.get(posturl, function(data){
			
			if(data=='ok' || $('#inputcheckcode').val()=='undefined' || $('#inputcheckcode').val()==undefined)
			{
				isloaded=true;
				ispass=true;
				return true;
			}
			else
			{
				alert("验证码输入不正确！");
				$('#inputcheckcode').focus();
				ispass=false;
				return false;
			}
		});

		if(!isloaded && $('#inputcheckcode').val()!='undefined' && $('#inputcheckcode').val()!=undefined)
		{
			ispass=false;
			return false;
		}
		else
		{
			if(datatype!=undefined && datatype!='undefined' && datatype)
			{
				switch(datatype)
				{
					case 'limit':
						if(val.length>$(this).attr('max')||val.length<$(this).attr('min'))
						{
							alert(title+"字符长度在"+$(this).attr('min')+"与"+$(this).attr('max')+"之间！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'min':
						if(val.length<$(this).attr('min'))
						{
							alert(title+"字符长度不能少于"+$(this).attr('min'));
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'max':
						if(val.length>$(this).attr('max'))
						{
							alert(title+"字符长度不能大于"+$(this).attr('max'));
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'table':
						if(!table.test($(this).val()) && $(this).val())
						{
							alert(title+"应由1-64个英文，数字，下划线组成！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'email':
						if(!email.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'url':
						if(!url.test($(this).val()) && $(this).val()!='http://' && $(this).val())
						{
							alert(title+"格式不正确！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'number':
						if(!number.test($(this).val()) && $(this).val())
						{
							alert(title+"只能是0-9的数字以及小数点！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'ip':
						if(!ip.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'qq':
						if(!qq.test($(this).val()) && $(this).val())
						{
							alert(title+"只能由3-15位的数字组成！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'integer':
						if(!integer.test($(this).val()) && $(this).val())
						{
							alert(title+"只能是0-9的整数！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'idCard':
						if(!integer.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确，请确认！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'mobile':
						if(!mobile.test($(this).val()) && $(this).val() && !phone.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确，请确认！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'phone':
						if(!mobile.test($(this).val()) && $(this).val() && !phone.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确，请确认！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'certno':
						if(!integer.test($(this).val()) && $(this).val())
						{
							alert(title+"格式不正确，请确认！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'double':
						if(!double.test($(this).val()) && $(this).val())
						{
							alert("只能是0-9的数字以及小数点！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'english':
						if(!english.test($(this).val()) && $(this).val())
						{
							alert(title+"只能由数字，字母，下划线组成！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'chinese':
						if(!chinese.test($(this).val()) && $(this).val())
						{
							alert(title+"必须含有中文！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'userName':
						if(!userName.test($(this).val()) && $(this).val())
						{
							alert(title+"由1-64位中文，数字，字母，下划线组成！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'usePsw':
						if(usePsw.test($(this).val()) && $(this).val())
						{
							alert(title+"不能含有中文字符！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else if(($(this).val().length<6 && notnull==true) || $(this).val().length>64)
						{
							alert(title+"由6-64位非中文字符组成！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
					case 'checkqustion':
						if($(this).val()!='<?php echo $LA['captquetion_answer'];?>')
						{
							alert(title+"输入不正确！");
							$(this).focus();
							ispass=false;
							return false;
						}
						else
						{
							ispass=true;
							return true;
						}
						break;
				}
			}
		}
	});

	if(ispass)
	{
		elesubmit.attr("disabled",true);
		return true;
	}
	return ispass;
}
